Get an address Run in API Explorer
Ask AI
GET
/api/v2/addresses/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/addresses/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "bf069712-70f7-48f1-bd20-cf0bc6071ba6",
"created_at": "2026-10-08T16:24:04+01:00",
"updated_at": "2026-10-08T16:24:04+01:00",
"name": "Work Address",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"address_3": "The Innovative Centre",
"address_4": "Waterlooville",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"accounts": {
"uuid": "cb1096ea-48c3-4735-bb83-2f0493524acb",
"created_at": "2026-10-08T16:24:04+01:00",
"updated_at": "2026-10-08T16:24:04+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e787510a-b280-4850-a22b-0274a00c9970",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "1a4a297a-17d8-438a-a2fb-9a77e1067e5a",
"created_at": "2026-10-08T16:24:04+01:00",
"updated_at": "2026-10-08T16:24:04+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e787510a-b280-4850-a22b-0274a00c9970",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"moved_in_month": 6,
"moved_in_year": 2022,
"moved_out_month": 1,
"moved_out_year": 2024,
"residential_status": "homeowner",
"residential_status_other": "homeowner",
"lived_in_months": 19
}